#pragma once
#include <string>

class asIScriptFunction;
class CScriptAny;

namespace Deer {
    namespace EditorEngine {
        void contextItemPopup(std::string&, CScriptAny*, asIScriptFunction*);
        void contextMenuPopup(std::string&, CScriptAny*, asIScriptFunction*);
        void modalPopup(std::string&, asIScriptFunction*);
        void simplePopup(std::string&, asIScriptFunction*);

        void openPopup(std::string&, CScriptAny*);
        void closePopup();
    }
}